OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKTObj
TObj

# TObj_TNameContainer Class Reference

`#include <TObj_TNameContainer.hxx>`

Inheritance diagram for TObj_TNameContainer:

[legend]

## Public Member Functions
Standard_EXPORT | TObj_TNameContainer ()
| Standard methods of OCAF attribute Empty constructor.
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of TObj_TNameContainer attribute.
Standard_EXPORT void | RecordName (const Handle(TCollection_HExtendedString)&theName, const TDF_Label &theLabel)
| Records name with label attached.
Standard_EXPORT void | RemoveName (const Handle(TCollection_HExtendedString)&theName)
| Remove name from the map.
Standard_EXPORT Standard_Boolean | IsRegistered (const Handle(TCollection_HExtendedString)&theName) const
| Return True is theName is registered in the Map.
Standard_EXPORT void | Clear ()
| Remove all names registered in container.
Standard_EXPORT void | Set (const TObj_DataMapOfNameLabel &theElem)
| Sets the TObj_DataMapOfNameLabel object.
Standard_EXPORT const TObj_DataMapOfNameLabel & | Get () const
| Returns the TObj_DataMapOfNameLabel object.
Standard_EXPORT | Handle (TDF_Attribute) NewEmpty() const
| Returns an new empty TObj_TNameContainer attribute. It is used by the copy algorithm.
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&theWith)
| Restores the backuped contents from <thewith> into this one. It is used when aborting a transaction.
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&theInto, const Handle(TDF_RelocationTable)&theRT) const
| This method is used when copying an attribute from a source structure into a target structure.
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
| This method is used in implementation of ID().
static Standard_EXPORT | Handle (TObj_TNameContainer) Set(const TDF_Label &theLabel)
| Creates TObj_DataMapOfNameLabel attribute on given label if not exist.
## Private Attributes
TObj_DataMapOfNameLabel | myMap
| The map of the names.

## Detailed Description

This class provides OCAF Attribute to storing the unique names of object in model.

## Constructor & Destructor Documentation

Standard_EXPORT TObj_TNameContainer::TObj_TNameContainer | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TObj_TNameContainer::Clear | ( |  | ) |

Standard_EXPORT const TObj_DataMapOfNameLabel& TObj_TNameContainer::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TObj_TNameContainer::GetID | ( |  | ) | `[static]`

Standard_EXPORT TObj_TNameContainer::Handle | ( | TDF_Attribute |  | ) | const

static Standard_EXPORT TObj_TNameContainer::Handle | ( | TObj_TNameContainer |  | ) | const`[static]`

Standard_EXPORT const Standard_GUID& TObj_TNameContainer::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TObj_TNameContainer::IsRegistered | ( | const Handle(TCollection_HExtendedString)& | theName | ) | const

Standard_EXPORT void TObj_TNameContainer::Paste | ( | const Handle(TDF_Attribute)& | theInto,
|  | const Handle(TDF_RelocationTable)& | theRT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TObj_TNameContainer::RecordName | ( | const Handle(TCollection_HExtendedString)& | theName,
|  | const TDF_Label & | theLabel
| ) |

Standard_EXPORT void TObj_TNameContainer::RemoveName | ( | const Handle(TCollection_HExtendedString)& | theName | ) |

Standard_EXPORT void TObj_TNameContainer::Restore | ( | const Handle(TDF_Attribute)& | theWith | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TObj_TNameContainer::Set | ( | const TObj_DataMapOfNameLabel & | theElem | ) |

## Field Documentation

TObj_DataMapOfNameLabel TObj_TNameContainer::myMap`[private]`

The documentation for this class was generated from the following file:

- TObj_TNameContainer.hxx